%define real_name Net-Packet

Summary:	Net::Packet - a framework to easily send and receive frames from layer 2 to layer 7
Name:		perl-%{real_name}
Version:	2.04
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/%{real_name}-%{version}.tar.bz2
Patch0:		Net-Packet-2.04-antibork.diff.bz2
BuildRequires:	chrpath
BuildRequires:	libpcap-devel
BuildRequires:	perl-Class-Gomor-Hash >= 0.20
BuildRequires:	perl-devel
BuildRequires:	perl-IO-Interface
BuildRequires:	perl-Net-IPv6Addr
BuildRequires:	perl-Net-Pcap >= 0.04
BuildRequires:	perl-Socket6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is a unified framework to craft, send and receive
packets at layers 2, 3, 4 and 7.  Basically, you forge each layer
of a frame (Net::Packet::IPv4 for layer 3, Net::Packet::TCP for
layer 4 ; for example), and pack all of this into a
Net::Packet::Frame object. Then, you can send the frame to the
network, and receive it easily, since the response is
automatically searched for and matched against the request.  If
you want some layer 2, 3 or 4 protocol encoding/decoding to be
added, just ask, and give a corresponding .pcap file ;)

%prep
%setup -q -n %{real_name}-%{version} 
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# this won't work, but partly works as root...
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

# nuke rpath
find %{buildroot} -name "*.so" | xargs chrpath -d

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README examples
%dir %{perl_vendorlib}/*/Net/Packet
%{perl_vendorlib}/*/Net/Packet/*
%{perl_vendorlib}/*/Net/*.pm
%{perl_vendorlib}/*/auto/Net/Packet/*
%{_mandir}/*/*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.04-1mdk
- initial Mandriva package 
